GROUPDEL(8)

NAME
groupdel - löscht eine Gruppe

ÜBERSICHT

groupdel [Optionen] GRUPPE

BESCHREIBUNG

Der Befehl groupdel bearbeitet die Kontodateien des Systems und löscht darin alle Einträge, die auf die Gruppe verweisen. Die bezeichnete Gruppe muss existieren.

OPTIONEN

Die Optionen, die vom Befehl groupdel unterstützt werden, sind:

-h, --help
    zeigt die Hilfe an und beendet das Programm

-R, --root CHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

WARNUNGEN

Sie können nicht die Hauptgruppe eines Benutzers entfernen. Dazu müssten Sie zunächst den betreffenden Benutzer löschen.

Sie sollten von Hand alle Systemdateien überprüfen, um sicherzustellen, dass keine Dateien, die der gelöschten Gruppe angehören, vorhanden sind.

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

MAX_MEMBERS_PER_GROUP (Zahl)
    Maximale Anzahl von Mitgliedern je Gruppeneintrag. Wenn das Maximum erreicht wird, wird ein weiterer Eintrag in /etc/group (mit dem gleichen Namen, dem gleichen Passwort und der gleichen GID) erstellt.

    Der Standardwert ist 0, was zur Folge hat, dass die Anzahl der Mitglieder einer Gruppe nicht begrenzt ist.

    Diese Fähigkeit (der aufgeteilten Gruppe) ermöglicht es, die Zeilenlänge in der Gruppendatei zu begrenzen. Damit kann sichergestellt werden, dass die Zeilen für NIS-Gruppen nicht länger als 1024 Zeichen sind.

    Falls Sie eine solche Begrenzung benötigen, können Sie 25 verwenden.

    Hinweis: Aufgeteilte Gruppen werden möglicherweise nicht von allen Werkzeugen unterstützt, selbst nicht aus der Shadow-Werkzeugsammlung. Sie sollten diese Variable nur setzen, falls Sie zwingend darauf angewiesen sind.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    sichere Informationen zu den Gruppenkonten

RÜCKGABEWERTE

Der Befehl groupdel gibt beim Beenden folgende Werte zurück:

0
    Erfolg

2
    unzulässige Syntax für diesen Befehl

6
    angegebene Gruppe ist nicht vorhanden

8
    Die Hauptgruppe eines Benutzers kann nicht entfernen werden.

10
    Die Gruppendatei kann nicht aktualisieren werden.

SIEHE AUCH

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupmod(8), useradd(8), userdel(8), usermod(8).